Technologies
------------
| Role                  | Tool                                                                                         | Status              |
| --------------------- | -------------------------------------------------------------------------------------------- | ------------------- |
| dependency loading    | [RequireJS](./app/config.js)                                                                 | [![Average time to resolve an issue](http://isitmaintained.com/badge/resolution/requirejs/requirejs.svg)](http://isitmaintained.com/project/requirejs/requirejs "Average time to resolve an issue") [![Percentage of issues still open](http://isitmaintained.com/badge/open/requirejs/requirejs.svg)](http://isitmaintained.com/project/requirejs/requirejs "Percentage of issues still open") |
| models/collections    | [Backbone.js](http://backbonejs.org/)                                                        | [![Average time to resolve an issue](http://isitmaintained.com/badge/resolution/jashkenas/backbone.svg)](http://isitmaintained.com/project/jashkenas/backbone "Average time to resolve an issue") [![Percentage of issues still open](http://isitmaintained.com/badge/open/jashkenas/backbone.svg)](http://isitmaintained.com/project/jashkenas/backbone "Percentage of issues still open") |
| views                 | [MarionetteJS](http://marionettejs.com/)                                                     | [![Average time to resolve an issue](http://isitmaintained.com/badge/resolution/marionettejs/backbone.marionette.svg)](http://isitmaintained.com/project/marionettejs/backbone.marionette "Average time to resolve an issue") [![Percentage of issues still open](http://isitmaintained.com/badge/open/marionettejs/backbone.marionette.svg)](http://isitmaintained.com/project/marionettejs/backbone.marionette "Percentage of issues still open") |
| templates             | [Handlebars.js](http://handlebarsjs.com/)                                                    | [![Average time to resolve an issue](http://isitmaintained.com/badge/resolution/wycats/handlebars.js.svg)](http://isitmaintained.com/project/wycats/handlebars.js "Average time to resolve an issue") [![Percentage of issues still open](http://isitmaintained.com/badge/open/wycats/handlebars.js.svg)](http://isitmaintained.com/project/wycats/handlebars.js "Percentage of issues still open") |
| task runner           | [Grunt](./Gruntfile.js)                                                                      | [![Average time to resolve an issue](http://isitmaintained.com/badge/resolution/gruntjs/grunt.svg)](http://isitmaintained.com/project/gruntjs/grunt "Average time to resolve an issue") [![Percentage of issues still open](http://isitmaintained.com/badge/open/gruntjs/grunt.svg)](http://isitmaintained.com/project/gruntjs/grunt "Percentage of issues still open") |
| pre-process CSS       | [less.js](https://github.com/gruntjs/grunt-contrib-less) or [Sass](https://github.com/gruntjs/grunt-contrib-sass)  |                     |
| post-process CSS      | [PostCSS](http://postcss.org/)                                                               | [![Average time to resolve an issue](http://isitmaintained.com/badge/resolution/postcss/postcss.svg)](http://isitmaintained.com/project/postcss/postcss "Average time to resolve an issue") [![Percentage of issues still open](http://isitmaintained.com/badge/open/postcss/postcss.svg)](http://isitmaintained.com/project/postcss/postcss "Percentage of issues still open") |          
| lint CSS              | [stylelint](https://stylelint.io/)                                                           | [![Average time to resolve an issue](http://isitmaintained.com/badge/resolution/stylelint/stylelint.svg)](http://isitmaintained.com/project/stylelint/stylelint "Average time to resolve an issue") [![Percentage of issues still open](http://isitmaintained.com/badge/open/stylelint/stylelint.svg)](http://isitmaintained.com/project/stylelint/stylelint "Percentage of issues still open")                    |
| lint HTML             | [HTML Hint Plus](https://github.com/poppinlp/grunt-htmlhint-plus)                            |                     |
| lint JavaScript       | [ESLint](./.config/.eslintrc.js)                                                             | [![Average time to resolve an issue](http://isitmaintained.com/badge/resolution/eslint/eslint.svg)](http://isitmaintained.com/project/eslint/eslint "Average time to resolve an issue") [![Percentage of issues still open](http://isitmaintained.com/badge/open/eslint/eslint.svg)](http://isitmaintained.com/project/eslint/eslint "Percentage of issues still open")                    |
| pre-compile templates | [grunt plugin](https://github.com/gruntjs/grunt-contrib-handlebars)                          |                     |
| Bundle JavaScript     | [r.js](https://github.com/gruntjs/grunt-contrib-requirejs) or [browserify](https://github.com/jmreidy/grunt-browserify)|                     |
| optimize images       | [grunt plugin](https://github.com/gruntjs/grunt-contrib-imagemin)                            |                     |
| test runner           | [Karma](./.config/karma.conf.js)                                                             | [![Average time to resolve an issue](http://isitmaintained.com/badge/resolution/karma-runner/karma.svg)](http://isitmaintained.com/project/karma-runner/karma "Average time to resolve an issue") [![Percentage of issues still open](http://isitmaintained.com/badge/open/karma-runner/karma.svg)](http://isitmaintained.com/project/karma-runner/karma "Percentage of issues still open") |
| test framework        | [Mocha](./tests/mocha/specs)                                                                 | [![Average time to resolve an issue](http://isitmaintained.com/badge/resolution/Mochajs/mocha.svg)](http://isitmaintained.com/project/Mochajs/mocha "Average time to resolve an issue") [![Percentage of issues still open](http://isitmaintained.com/badge/open/Mochajs/mocha.svg)](http://isitmaintained.com/project/Mochajs/mocha "Percentage of issues still open") |
| assertion library     | [Chai.js](http://chaijs.com/)                                                                | [![Average time to resolve an issue](http://isitmaintained.com/badge/resolution/chaijs/chai.svg)](http://isitmaintained.com/project/chaijs/chai "Average time to resolve an issue") [![Percentage of issues still open](http://isitmaintained.com/badge/open/chaijs/chai.svg)](http://isitmaintained.com/project/chaijs/chai "Percentage of issues still open") |                   
| spies, stubs, & mocks | [Sinon.JS](http://sinonjs.org/)                                                              | [![Average time to resolve an issue](http://isitmaintained.com/badge/resolution/sinonjs/sinon.svg)](http://isitmaintained.com/project/sinonjs/sinon "Average time to resolve an issue") [![Percentage of issues still open](http://isitmaintained.com/badge/open/sinonjs/sinon.svg)](http://isitmaintained.com/project/sinonjs/sinon "Percentage of issues still open") |
| code coverage         | [Istanbul](https://github.com/gotwarlost/istanbul) (via [Karma](./.config/karma.conf.js))    | [![Average time to resolve an issue](http://isitmaintained.com/badge/resolution/gotwarlost/istanbul.svg)](http://isitmaintained.com/project/gotwarlost/istanbul "Average time to resolve an issue") [![Percentage of issues still open](http://isitmaintained.com/badge/open/gotwarlost/istanbul.svg)](http://isitmaintained.com/project/gotwarlost/istanbul "Percentage of issues still open") |
| code metrics          | [Plato](https://github.com/es-analysis/plato)                                                | [![Average time to resolve an issue](http://isitmaintained.com/badge/resolution/es-analysis/plato.svg)](http://isitmaintained.com/project/es-analysis/plato "Average time to resolve an issue") [![Percentage of issues still open](http://isitmaintained.com/badge/open/es-analysis/plato.svg)](http://isitmaintained.com/project/es-analysis/plato "Percentage of issues still open") |
| documentation         | [JSDocs](http://usejsdoc.org/)                                                               | [![Average time to resolve an issue](http://isitmaintained.com/badge/resolution/jsdoc3/jsdoc.svg)](http://isitmaintained.com/project/jsdoc3/jsdoc "Average time to resolve an issue") [![Percentage of issues still open](http://isitmaintained.com/badge/open/jsdoc3/jsdoc.svg)](http://isitmaintained.com/project/jsdoc3/jsdoc "Percentage of issues still open") |
